<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
  <title>AmCharts - Pie Chart</title>
  <link  type="text/css" rel="stylesheet" href="../amcharts/export.css" />
  <script src="../amcharts/amcharts.js"></script>
  <script src="../amcharts/pie.js"></script>
  <script src="../amcharts/dataloader.min.js"></script>
  <script src="../amcharts/responsive.min.js"></script>
  <script src="../amcharts/export.js"></script>  
  <style>
	  body, html {
		height: 100%;
		padding: 0;
		margin: 0;
	  }
  </style>
  <script>

    var chart = AmCharts.makeChart("chartdiv", {
      "type": "pie",      
      "titles": [{
        "text": "Visitors countries",
        "size": 16
      }],

      "dataProvider": [{
			"country": "Czech Republic",
			"litres": 156.9
		}, {
			"country": "Ireland",
			"litres": 131.1
		}, {
			"country": "Germany",
			"litres": 115.8
		}, {
			"country": "Australia",
			"litres": 109.9
		}, {
			"country": "Austria",
			"litres": 108.3
		}, {
			"country": "UK",
			"litres": 65
		}, {
			"country": "Belgium",
			"litres": 50
		}],
	  
	  "colors": ["#FF7F50", "#e384a6", "#f4d499", "#4d90d6", "#c7e38c", "#9986c8", "#edf28c", "#ffd1d4", "#5ee1dc", "#b0eead", "#fef85a", "#8badd2"],

	  "titleField": "country",
      "valueField": "litres",
      "balloonText": "[[title]]<br><span style='font-size:14px'><b>[[value]]</b> ([[percents]]%)</span>",      
	  "innerRadius": "0%",
	  "startDuration": 2,
      "labelRadius": 45,
      "depth3D": 20,
	  "angle": 30,
	  "outlineAlpha": 0.8,
      "legend": {
        "position": "right",
		"markerType": "circle"
      }
		,   "export": {
			"enabled": true,
			"menu": [ {
				"class": "export-main",
				"menu": [ {
					"label": "Download",
					"menu": [ "PNG", "JPG", "CSV" ]
				}]
			} ]
		}

    });
   
   chart.addListener("clickSlice", function(evt) {		
		//for(var p in evt.dataItem) alert(p+"="+evt.dataItem[p]);
		alert("index="+evt.dataItem.index+", value="+evt.dataItem.value+", title="+evt.dataItem.title+", pulled="+evt.dataItem.pulled);
		alert("country="+evt.dataItem.dataContext["country"]+", litres="+evt.dataItem.dataContext["litres"]);
	});

  </script>
</head>
<body>
  <!--<div id="chartdiv" style="width: 100%; height: 600px;"></div>-->
  <div id="chartdiv" style="width: 100%; height: 100%;"></div>
</body>
</html>